#!/bin/sh

for outf in /spare/tmp/test.dat /garz/tmp/test.dat
do
	echo "======================================================="
	echo "Beginning test run, output file $outf"
	echo "======================================================="

	for n in 1 2 3
	do
		time sh -c "dd if=/dev/zero of=$outf bs=1048576 count=24000 ; sync"
	done

	for n in 1 2 3
	do
		time ./overwrite -b 2800 $outf
	done

	for n in 1 2 3
	do
		time ./overwrite -b 2800 -f $outf
	done

	rm -f "$outf"
done

